Bug 74697 - kernel reads incorrect amount of memory
kernel reads incorrect amount of memory
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-30 19:17 EDT by brian atkisson
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 21:43:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brian atkisson 2002-09-30 19:17:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Using Kernel-2.4.18-10 (bigmem, but it happens on all of em), the kernel sees 
an incorrect amount of memory.  The system has 4096MB ECC RAM, but the system 
reports a total of 3720MB.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.buy a Dell PowerEdge 4600 w/ 4 GB RAM
2.use any RedHat 7.3 kernel
3.
	

Actual Results:  total mem: 3901579264 

Expected Results:  total mem ~4294967296

Additional info:

[root@marx root]# cat /proc/meminfo 
        total:    used:    free:  shared: buffers:  cached:
Mem:  3901579264 65413120 3836166144        0  9883648 16576512
Swap: 2146754560        0 2146754560
MemTotal:      3810136 kB
MemFree:       3746256 kB
MemShared:           0 kB
Buffers:          9652 kB
Cached:          16188 kB
SwapCached:          0 kB
Active:          31640 kB
Inact_dirty:       128 kB
Inact_clean:       200 kB
Inact_target:     6392 kB
HighTotal:     2949056 kB
HighFree:      2924936 kB
LowTotal:       861080 kB
LowFree:        821320 kB
SwapTotal:     2096440 kB
SwapFree:      2096440 kB
Committed_AS:    15464 kB
Comment 1 Arjan van de Ven 2002-10-01 05:12:54 EDT
can you attache the first lines of "dmesg" ? (eg the e820 table)
What normally happens with 4GB+ systems is that there is a "gap" in the memory
just below the 4Gb range for PCI devices (since those are generally 32 bit, the
gap needs to be in the first 32 bit of address space). Most chipsets/bioses just
"relocate" the ram that is in this gap to above 4Gb, however not all.
Comment 2 brian atkisson 2002-10-01 11:04:47 EDT
here's the whole dmesg:
[root@marx root]# cat /var/log/dmesg
Linux version 2.4.18-10bigmem (bhcompile@stripples.devel.redhat.com) (gcc
version 2.96 20000731 (Red Hat Linux 7.3 2.96-110)) #1 SMP Wed Aug 7 10:26:52
EDT 2002
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
 BIOS-e820: 0000000000100000 - 00000000ebff0000 (usable)
 BIOS-e820: 00000000ebff0000 - 00000000ebffec00 (ACPI data)
 BIOS-e820: 00000000ebffec00 - 00000000ebfff000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee10000 (reserved)
 BIOS-e820: 00000000fff80000 - 0000000100000000 (reserved)
2879MB HIGHMEM available.
896MB LOWMEM available.
found SMP MP-table at 000fe710
hm, page 000fe000 reserved twice.
hm, page 000ff000 reserved twice.
hm, page 000f0000 reserved twice.
On node 0 totalpages: 966640
zone(0): 4096 pages.
zone(1): 225280 pages.
zone(2): 737264 pages.
ACPI: Searched entire block, no RSDP was found.
ACPI: RSDP located at physical address c00fdc60
RSD PTR  v0 [DELL  ]
__va_range(0xfdc74, 0x68): idx=8 mapped at ffff6000
ACPI table found: RSDT v1 [DELL   PE4600   0.1]
__va_range(0xfdca4, 0x24): idx=8 mapped at ffff6000
__va_range(0xfdca4, 0x74): idx=8 mapped at ffff6000
ACPI table found: FACP v1 [DELL   PE4600   0.1]
__va_range(0xfdd18, 0x24): idx=8 mapped at ffff6000
__va_range(0xfdd18, 0x88): idx=8 mapped at ffff6000
ACPI table found: APIC v1 [DELL   PE4600   0.1]
__va_range(0xfdd18, 0x88): idx=8 mapped at ffff6000
LAPIC (acpi_id[0x0001] id[0x0] enabled[1])
CPU 0 (0x0000) enabledProcessor #0 Pentium 4(tm) XEON(tm) APIC version 16

LAPIC (acpi_id[0x0002] id[0x2] enabled[1])
CPU 1 (0x0200) enabledProcessor #2 Pentium 4(tm) XEON(tm) APIC version 16

LAPIC (acpi_id[0x0003] id[0x1] enabled[1])
CPU 2 (0x0100) enabledProcessor #1 Pentium 4(tm) XEON(tm) APIC version 16

LAPIC (acpi_id[0x0004] id[0x3] enabled[1])
CPU 3 (0x0300) enabledProcessor #3 Pentium 4(tm) XEON(tm) APIC version 16

IOAPIC (id[0x4] address[0xfec00000] global_irq_base[0x0])
IOAPIC (id[0x5] address[0xfec01000] global_irq_base[0x10])
IOAPIC (id[0x6] address[0xfec02000] global_irq_base[0x20])
LAPIC_NMI (acpi_id[0x0001] polarity[0x1] trigger[0x1] lint[0x1])
LAPIC_NMI (acpi_id[0x0002] polarity[0x1] trigger[0x1] lint[0x1])
LAPIC_NMI (acpi_id[0x0003] polarity[0x1] trigger[0x1] lint[0x1])
LAPIC_NMI (acpi_id[0x0004] polarity[0x1] trigger[0x1] lint[0x1])
4 CPUs total
Local APIC address fee00000
__va_range(0xfdda0, 0x24): idx=8 mapped at ffff6000
__va_range(0xfdda0, 0x50): idx=8 mapped at ffff6000
ACPI table found: SPCR v1 [DELL   PE4600   0.1]
Enabling the CPU's according to the ACPI table
Intel MultiProcessor Specification v1.4
    Virtual Wire compatibility mode.
OEM ID: DELL     Product ID: PE 0106      APIC at: 0xFEE00000
I/O APIC #4 Version 17 at 0xFEC00000.
I/O APIC #5 Version 17 at 0xFEC01000.
I/O APIC #6 Version 17 at 0xFEC02000.
Processors: 4
Kernel command line: ro root=/dev/sda6
Initializing CPU#0
Detected 2393.794 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 4771.02 BogoMIPS
Memory: 3809560k/3866560k available (1236k kernel code, 56616k reserved, 867k
data, 320k init, 2949056k highmem)
Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
Inode cache hash table entries: 262144 (order: 9, 2097152 bytes)
Mount cache hash table entries: 65536 (order: 7, 524288 bytes)
Buffer cache hash table entries: 262144 (order: 8, 1048576 bytes)
Page-cache hash table entries: 524288 (order: 9, 2097152 bytes)
CPU: Before vendor init, caps: 3febfbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 12K, L1 D cache: 8K
CPU: L2 cache: 512K
CPU: Physical Processor ID: 0
CPU: After vendor init, caps: 3febfbff 00000000 00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: 3febfbff 00000000 00000000 00000000
CPU:             Common caps: 3febfbff 00000000 00000000 00000000
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
CPU: Before vendor init, caps: 3febfbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 12K, L1 D cache: 8K
CPU: L2 cache: 512K
CPU: Physical Processor ID: 0
CPU: After vendor init, caps: 3febfbff 00000000 00000000 00000000
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: 3febfbff 00000000 00000000 00000000
CPU:             Common caps: 3febfbff 00000000 00000000 00000000
CPU0: Intel(R) XEON(TM) CPU 2.40GHz stepping 04
per-CPU timeslice cutoff: 1462.91 usecs.
task migration cache decay timeout: 10 msecs.
enabled ExtINT on CPU#0
ESR value before enabling vector: 00000040
ESR value after enabling vector: 00000000
Booting processor 1/1 eip 2000
Initializing CPU#1
masked ExtINT on CPU#1
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Calibrating delay loop... 4784.12 BogoMIPS
CPU: Before vendor init, caps: 3febfbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 12K, L1 D cache: 8K
CPU: L2 cache: 512K
CPU: Physical Processor ID: 0
CPU: After vendor init, caps: 3febfbff 00000000 00000000 00000000
Intel machine check reporting enabled on CPU#1.
CPU:     After generic, caps: 3febfbff 00000000 00000000 00000000
CPU:             Common caps: 3febfbff 00000000 00000000 00000000
CPU1: Intel(R) XEON(TM) CPU 2.40GHz stepping 04
Booting processor 2/2 eip 2000
Initializing CPU#2
masked ExtINT on CPU#2
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Calibrating delay loop... 4784.12 BogoMIPS
CPU: Before vendor init, caps: 3febfbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 12K, L1 D cache: 8K
CPU: L2 cache: 512K
CPU: Physical Processor ID: 3
CPU: After vendor init, caps: 3febfbff 00000000 00000000 00000000
Intel machine check reporting enabled on CPU#2.
CPU:     After generic, caps: 3febfbff 00000000 00000000 00000000
CPU:             Common caps: 3febfbff 00000000 00000000 00000000
CPU2: Intel(R) XEON(TM) CPU 2.40GHz stepping 04
Booting processor 3/3 eip 2000
Initializing CPU#3
masked ExtINT on CPU#3
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Calibrating delay loop... 4784.12 BogoMIPS
CPU: Before vendor init, caps: 3febfbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 12K, L1 D cache: 8K
CPU: L2 cache: 512K
CPU: Physical Processor ID: 3
CPU: After vendor init, caps: 3febfbff 00000000 00000000 00000000
Intel machine check reporting enabled on CPU#3.
CPU:     After generic, caps: 3febfbff 00000000 00000000 00000000
CPU:             Common caps: 3febfbff 00000000 00000000 00000000
CPU3: Intel(R) XEON(TM) CPU 2.40GHz stepping 04
Total of 4 processors activated (19123.40 BogoMIPS).
cpu_sibling_map[0] = 1
cpu_sibling_map[1] = 0
cpu_sibling_map[2] = 3
cpu_sibling_map[3] = 2
ENABLING IO-APIC IRQs
Setting 4 in the phys_id_present_map
...changing IO-APIC physical APIC ID to 4 ... ok.
Setting 5 in the phys_id_present_map
...changing IO-APIC physical APIC ID to 5 ... ok.
Setting 6 in the phys_id_present_map
...changing IO-APIC physical APIC ID to 6 ... ok.
init IO_APIC IRQs
 IO-APIC (apicid-pin) 4-0, 4-5, 4-7, 4-10, 4-11, 4-13, 6-15 not connected.
..TIMER: vector=0x31 pin1=2 pin2=0
..MP-BIOS bug: 8254 timer not connected to IO-APIC
...trying to set up timer (IRQ0) through the 8259A ...
..... (found pin 0) ...works.
number of MP IRQ sources: 46.
number of IO-APIC #4 registers: 16.
number of IO-APIC #5 registers: 16.
number of IO-APIC #6 registers: 16.
testing the IO APIC.......................

IO APIC #4......
.... register #00: 04000000
.......    : physical APIC id: 04
.... register #01: 000F0011
.......     : max redirection entries: 000F
.......     : PRQ implemented: 0
.......     : IO APIC version: 0011
.... register #02: 04000000
.......     : arbitration: 04
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:
 00 00F 0F  0    0    0   0   0    1    1    31
 01 00F 0F  0    0    0   0   0    1    1    39
 02 000 00  1    0    0   0   0    0    0    00
 03 00F 0F  0    0    0   0   0    1    1    41
 04 00F 0F  0    0    0   0   0    1    1    49
 05 000 00  1    0    0   0   0    0    0    00
 06 00F 0F  0    0    0   0   0    1    1    51
 07 000 00  1    0    0   0   0    0    0    00
 08 00F 0F  0    0    0   0   0    1    1    59
 09 00F 0F  0    0    0   0   0    1    1    61
 0a 000 00  1    0    0   0   0    0    0    00
 0b 000 00  1    0    0   0   0    0    0    00
 0c 00F 0F  0    0    0   0   0    1    1    69
 0d 000 00  1    0    0   0   0    0    0    00
 0e 00F 0F  0    0    0   0   0    1    1    71
 0f 00F 0F  0    0    0   0   0    1    1    79

IO APIC #5......
.... register #00: 05000000
.......    : physical APIC id: 05
.... register #01: 000F0011
.......     : max redirection entries: 000F
.......     : PRQ implemented: 0
.......     : IO APIC version: 0011
.... register #02: 05000000
.......     : arbitration: 05
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:
 00 00F 0F  1    1    0   1   0    1    1    81
 01 00F 0F  1    1    0   1   0    1    1    89
 02 00F 0F  1    1    0   1   0    1    1    91
 03 00F 0F  1    1    0   1   0    1    1    99
 04 00F 0F  1    1    0   1   0    1    1    A1
 05 00F 0F  1    1    0   1   0    1    1    A9
 06 00F 0F  1    1    0   1   0    1    1    B1
 07 00F 0F  1    1    0   1   0    1    1    B9
 08 00F 0F  1    1    0   1   0    1    1    C1
 09 00F 0F  1    1    0   1   0    1    1    C9
 0a 00F 0F  1    1    0   1   0    1    1    D1
 0b 00F 0F  1    1    0   1   0    1    1    D9
 0c 00F 0F  1    1    0   1   0    1    1    E1
 0d 00F 0F  1    1    0   1   0    1    1    E9
 0e 00F 0F  1    1    0   1   0    1    1    32
 0f 00F 0F  1    1    0   1   0    1    1    3A

IO APIC #6......
.... register #00: 06000000
.......    : physical APIC id: 06
.... register #01: 000F0011
.......     : max redirection entries: 000F
.......     : PRQ implemented: 0
.......     : IO APIC version: 0011
.... register #02: 06000000
.......     : arbitration: 06
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:
 00 00F 0F  1    1    0   1   0    1    1    42
 01 00F 0F  1    1    0   1   0    1    1    4A
 02 00F 0F  1    1    0   1   0    1    1    52
 03 00F 0F  1    1    0   1   0    1    1    5A
 04 00F 0F  1    1    0   1   0    1    1    62
 05 00F 0F  1    1    0   1   0    1    1    6A
 06 00F 0F  1    1    0   1   0    1    1    72
 07 00F 0F  1    1    0   1   0    1    1    7A
 08 00F 0F  1    1    0   1   0    1    1    82
 09 00F 0F  1    1    0   1   0    1    1    8A
 0a 00F 0F  1    1    0   1   0    1    1    92
 0b 00F 0F  1    1    0   1   0    1    1    9A
 0c 00F 0F  1    1    0   1   0    1    1    A2
 0d 00F 0F  1    1    0   1   0    1    1    AA
 0e 00F 0F  1    1    0   1   0    1    1    B2
 0f 000 00  1    0    0   0   0    0    0    00
IRQ to pin mappings:
IRQ0 -> 0:0
IRQ1 -> 0:1
IRQ3 -> 0:3
IRQ4 -> 0:4
IRQ6 -> 0:6
IRQ8 -> 0:8
IRQ9 -> 0:9
IRQ12 -> 0:12
IRQ14 -> 0:14
IRQ15 -> 0:15
IRQ16 -> 1:0
IRQ17 -> 1:1
IRQ18 -> 1:2
IRQ19 -> 1:3
IRQ20 -> 1:4
IRQ21 -> 1:5
IRQ22 -> 1:6
IRQ23 -> 1:7
IRQ24 -> 1:8
IRQ25 -> 1:9
IRQ26 -> 1:10
IRQ27 -> 1:11
IRQ28 -> 1:12
IRQ29 -> 1:13
IRQ30 -> 1:14
IRQ31 -> 1:15
IRQ32 -> 2:0
IRQ33 -> 2:1
IRQ34 -> 2:2
IRQ35 -> 2:3
IRQ36 -> 2:4
IRQ37 -> 2:5
IRQ38 -> 2:6
IRQ39 -> 2:7
IRQ40 -> 2:8
IRQ41 -> 2:9
IRQ42 -> 2:10
IRQ43 -> 2:11
IRQ44 -> 2:12
IRQ45 -> 2:13
IRQ46 -> 2:14
.................................... done.
Using local APIC timer interrupts.
calibrating APIC timer ...
..... CPU clock speed is 2393.6957 MHz.
..... host bus clock speed is 99.7371 MHz.
cpu: 0, clocks: 997371, slice: 199474
CPU0<T0:997360,T1:797872,D:14,S:199474,C:997371>
cpu: 1, clocks: 997371, slice: 199474
cpu: 2, clocks: 997371, slice: 199474
cpu: 3, clocks: 997371, slice: 199474
CPU2<T0:997360,T1:398928,D:10,S:199474,C:997371>
CPU3<T0:997360,T1:199456,D:8,S:199474,C:997371>
CPU1<T0:997360,T1:598400,D:12,S:199474,C:997371>
checking TSC synchronization across CPUs: passed.
migration_task 0 on cpu=0
migration_task 1 on cpu=1
migration_task 2 on cpu=2
migration_task 3 on cpu=3
PCI: PCI BIOS revision 2.10 entry at 0xfc66e, last bus=13
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unknown bridge resource 2: assuming transparent
PCI: Discovered primary peer bus 01 [IRQ]
PCI: Discovered primary peer bus 03 [IRQ]
PCI: Discovered primary peer bus 08 [IRQ]
PCI: Discovered primary peer bus 0d [IRQ]
PCI: Using IRQ router ServerWorks [1166/0201] at 00:0f.0
PCI->APIC IRQ transform: (B0,I6,P0) -> 18
PCI->APIC IRQ transform: (B1,I8,P0) -> 20
PCI->APIC IRQ transform: (B2,I6,P0) -> 20
PCI->APIC IRQ transform: (B2,I6,P1) -> 21
PCI->APIC IRQ transform: (B3,I6,P0) -> 27
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS not found.
Starting kswapd
allocated 256 pages and 256 bhs reserved for the highmem bounces
VFS: Diskquotas version dquot_6.5.0 initialized
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
block: 1024 slots per queue, batch=256
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
SvrWks CSB5: IDE controller on PCI bus 00 dev 79
SvrWks CSB5: chipset revision 147
SvrWks CSB5: not 100% native mode: will probe irqs later
SvrWks CSB5: simplex device: DMA forced
    ide0: BM-DMA at 0x08b0-0x08b7, BIOS settings: hda:DMA, hdb:pio
SvrWks CSB5: simplex device: DMA forced
    ide1: BM-DMA at 0x08b8-0x08bf, BIOS settings: hdc:DMA, hdd:DMA
hda: SAMSUNG CD-ROM SN-124, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide-floppy driver 0.99.newide
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
pci_hotplug: PCI Hot Plug PCI Core version: 0.4
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 32768 buckets, 256Kbytes
TCP: Hash tables configured (established 262144 bind 65536)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 254k freed
VFS: Mounted root (ext2 filesystem).
SCSI subsystem driver Revision: 1.00
kmod: failed to exec /sbin/modprobe -s -k scsi_hostadapter, errno = 2
(scsi0) <Adaptec AIC-7890/1 Ultra2 SCSI host adapter> found at PCI 0/6/0
(scsi0) Wide Channel, SCSI ID=7, 32/255 SCBs
(scsi0) Downloading sequencer code... 398 instructions downloaded
scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
       <Adaptec AIC-7890/1 Ultra2 SCSI host adapter>
blk: queue f768d818, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: HP        Model: Ultrium 1-SCSI    Rev: E21V
  Type:   Sequential-Access                  ANSI SCSI revision: 03
blk: queue f7fc3a18, I/O limit 4095Mb (mask 0xffffffff)
Red Hat/Adaptec aacraid driver, Aug  7 2002
scsi1 : percraid
  Vendor: DELL      Model: PERCRAID RAID5    Rev: 0001
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi removable disk sda at scsi1, channel 0, id 0, lun 0
SCSI device sda: 1003500288 512-byte hdwr sectors (513792 MB)
sda: Write Protect is off
Partition check:
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 sda9 sda10 >
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 320k freed
Adding Swap: 2096440k swap-space (priority -1)
EXT3 FS 2.4-0.9.18, 14 May 2002 on sd(8,6), internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on sd(8,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Comment 3 Arjan van de Ven 2002-10-04 08:35:28 EDT
the e820 table (this is the table the bios gives to linux to say how much memory
is where) only shows 4 Gbyte minus 320Mb = 3776 of memory.....
I recommend contacting Dell, for example via their excellent mailinglist
linux-poweredge@dell.com

Note You need to log in before you can comment on or make changes to this bug.